本文整理汇总了C++中AcDbEntity::worldDraw方法的典型用法代码示例。如果您正苦于以下问题:C++ AcDbEntity::worldDraw方法的具体用法?C++ AcDbEntity::worldDraw怎么用?C++ AcDbEntity::worldDraw使用的例子?那么, 这里精选的方法代码示例或许可以为您提供帮助。您也可以进一步了解该方法所在类AcDbEntity
的用法示例。
在下文中一共展示了AcDbEntity::worldDraw方法的2个代码示例,这些例子默认根据受欢迎程度排序。您可以为喜欢或者感觉有用的代码点赞,您的评价将有助于系统推荐出更棒的C++代码示例。
示例1: DrawBlockEnts
static void DrawBlockEnts( AcGiWorldDraw* mode, AcGeVoidPointerArray& ents )
{
int n = ents.length();
for( int i = 0; i < n; i++ )
{
AcDbEntity* pEnt = ( AcDbEntity* )ents[i];
pEnt->worldDraw( mode );
}
}
示例2: DrawEntities
void ArxEntityHelper::DrawEntities( const AcDbObjectIdArray& objIds, AcGiWorldDraw* mode )
{
AcTransaction* pTrans = actrTransactionManager->startTransaction();
if( pTrans == 0 ) return;
int len = objIds.length();
for( int i = 0; i < len; i++ )
{
AcDbObject* pObj;
if( Acad::eOk != pTrans->getObject( pObj, objIds[i], AcDb::kForRead ) ) continue;
AcDbEntity* pEnt = AcDbEntity::cast( pObj );
if( pEnt == 0 ) continue;
//acutPrintf(_T("\n绘制第%d个图元"), i);
pEnt->worldDraw( mode );
}
actrTransactionManager->endTransaction();
}